/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomJavaScriptCallFrame_H__
#define __GdomJavaScriptCallFrame_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomJavaScriptCallFrame GdomJavaScriptCallFrame;
typedef struct _GdomJavaScriptCallFrameClass GdomJavaScriptCallFrameClass;


#define GDOM_TYPE_JAVA_SCRIPT_CALL_FRAME            (gdom_java_script_call_frame_get_type())
#define GDOM_JAVA_SCRIPT_CALL_FRAME(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_JAVA_SCRIPT_CALL_FRAME, GdomJavaScriptCallFrame))
#define GDOM_JAVA_SCRIPT_CALL_FRAME_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_JAVA_SCRIPT_CALL_FRAME, GdomJavaScriptCallFrame)Class)
#define GDOM_IS_JAVA_SCRIPT_CALL_FRAME(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_JAVA_SCRIPT_CALL_FRAME))
#define GDOM_IS_JAVA_SCRIPT_CALL_FRAME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_JAVA_SCRIPT_CALL_FRAME))
#define GDOM_JAVA_SCRIPT_CALL_FRAME_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_JAVA_SCRIPT_CALL_FRAME, GdomJavaScriptCallFrameClass))

typedef struct _GdomJavaScriptCallFramePrivate GdomJavaScriptCallFramePrivate;

struct _GdomJavaScriptCallFrame {
    GdomDOMObject parent_instance;
    GdomJavaScriptCallFramePrivate *priv;
};

struct _GdomJavaScriptCallFrameClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_java_script_call_frame_get_type (void);


/* XXX TODO: custom function gdom_java_script_call_frame_evaluate */

G_END_DECLS

#endif /* __GdomJavaScriptCallFrame_H__ */
